=== debian/changelog ===
golang-github-eggsampler-acme (3.6.1-2) unstable; urgency=medium

  * Team upload
  * Fixup d/copyright (Closes: #1102637)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 17 Jul 2025 07:20:21 +0000

golang-github-eggsampler-acme (3.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2025 09:41:31 +0100

golang-github-eggsampler-acme (3.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #1100131)

 -- Luca Soler <luca.soler@proton.me>  Tue, 11 Mar 2025 16:51:05 +0100
