=== debian/control ===
Source: golang-github-eggsampler-acme
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Luca Soler <luca.soler@proton.me>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-eggsampler-acme
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-eggsampler-acme.git
Homepage: https://github.com/eggsampler/acme
XS-Go-Import-Path: github.com/eggsampler/acme

Package: golang-github-eggsampler-acme-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Go client library implementation for ACME v2 (RFC8555) (library)
 eggsampler/acme is a Go client library implementation for RFC8555
 (https://tools.ietf.org/html/rfc8555) (previously ACME v2). This library
 can be used with the Let's Encrypt (https://letsencrypt.org/)
 Certificate Authority (CA), but also other ACME compliant CA's such as
 ZeroSSL (https://zerossl.com/).
